summaryrefslogtreecommitdiff
path: root/build_and_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_and_test.sh')
-rw-r--r--build_and_test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/build_and_test.sh b/build_and_test.sh
index 46f8661..0b40374 100644
--- a/build_and_test.sh
+++ b/build_and_test.sh
@@ -111,8 +111,18 @@ fi
echo ""
echo "Build saw"
+if [ ! -f "build/saw_impl${OBJ_POSTFIX}" ] || \
+ [ "source/saw/_impl.c" -nt "build/saw_impl${OBJ_POSTFIX}" ]; then
+ $COMPILE ${FLAGS} \
+ ${FLAG_OBJ}"build/saw_impl${OBJ_POSTFIX}" \
+ "source/saw/_impl.c"
+ if [ $? -ne 0 ]; then
+ exit 1
+ fi
+fi
$COMPILE ${FLAGS} \
${FLAG_EXE}"build/saw${EXE_POSTFIX}" \
+ "build/saw_impl${OBJ_POSTFIX}" \
"source/saw/_exe.c" \
${LINK_FLAGS}
if [ $? -ne 0 ]; then